Name:           uriparser
Version:        0.9.6
Release:        2
Summary:        A strictly RFC 3986 compliant URI parsing and handling library written in C89
License:        BSD
URL:            https://uriparser.github.io/
Source0:        https://github.com/uriparser/uriparser/releases/download/uriparser-%{version}/uriparser-%{version}.tar.bz2
BuildRequires:  cmake doxygen gcc-c++ graphviz gtest-devel make gmock

%description
The package is a strictly RFC 3986 compliant URI parsing library written in C89("ANSI C").
uriparser is cross-platform, fast, supports Unicode and is licensed under the New BSD license.
There are a number of applications, libraries and hardware using uriparser, as well as bindings
and 3rd-party wrappers. uriparser is packaged in major distributions.

%package        devel
Summary:        Files for uriparser development
Requires:       uriparser = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing applications that use uriparser.

%package        help
Summary:        Documentation for uriparser
Provides:       uriparser-doc = %{version}-%{release}
Obsoletes:      uriparser-doc < %{version}-%{release}
BuildArch:      noarch

%description    help
The package contains HTML documentation files for uriparser.

%prep
%autosetup
sed -i 's/GENERATE_QHP\ =\ yes/GENERATE_QHP\ =\ no/g' doc/Doxyfile.in

%build
%cmake
%make_build

%install
%make_install

%check
LD_LIBRARY_PATH=".libs" make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc THANKS AUTHORS ChangeLog COPYING
%{_bindir}/uriparse
%{_libdir}/{liburiparser.so.1*,cmake/uriparser-%{version}/}

%files devel
%{_includedir}/uriparser/
%{_libdir}/{liburiparser.so,pkgconfig/liburiparser.pc}

%files help
%doc %{_docdir}/uriparser/html

%changelog
* Thu Apr 14 2022 wangkai <wangkai385@h-partners.com> - 0.9.6-2
- Add BuildRequires to fix build error and add uriparser.yaml

* Tue Jan 25 2022 wangkai <wangkai385@huawei.com> - 0.9.6-1
- Update to 0.9.6 for fix CVE-2021-46141 and CVE-2021-46142

* Thu Mar 5 2020 Ling Yang <lingyang2@huawei.com> - 0.9.3-2
- Package Init
